# Function debug

- debug(formatter, ...args): void

- #### Parameters

  - ##### formatter: any

  - ##### `Rest` ...args: any[]

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/debug.ts:3

#####
Index

### Properties

color
destroy
diff
enabled
extend
log
namespace

## Properties

### color

color: string

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:42

### destroy

destroy: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:47

### diff

diff: number

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:43

### enabled

enabled: boolean

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:44

### extend

extend: ((namespace, delimiter?) => Debugger)

#### Type declaration

- - (namespace, delimiter?): Debugger

  - #### Parameters

    - ##### namespace: string

    - ##### `Optional` delimiter: string

    #### Returns Debugger

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:48

### log

log: ((...args) => any)

#### Type declaration

- - (...args): any

  - #### Parameters

    - ##### `Rest` ...args: any[]

    #### Returns any

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:45

### namespace

namespace: string

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:46

Generated using TypeDoc